## openvpn 2.4.3

=== debian/changelog ===
openvpn (2.4.3-4ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Jul 2017 23:05:35 -0400

openvpn (2.4.3-4) unstable; urgency=medium

  * fix FTBFS on kfreebsd
  * Adjust debian openvpn@.service to be closer to the upstream
    ones (Closes: #858558, #864031):
    - adjust Documentation URL to OpenVPN 2.4
    - use systemd READY signalling (Type=notify)
    - add ProtectHome=true
    - add After/Wants network-online.target
    - adjust CapabililtyBoundingSet

 -- Bernhard Schmidt <berni@debian.org>  Fri, 30 Jun 2017 15:39:56 +0200

openvpn (2.4.3-3) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * debian/control:
    - Set Bernhard Schmidt <berni@debian.org> as maintainer and myself as
      Uploader (Closes: #865555)
    - Many thanks to Alberto Gonzalez Iniesta.
    - Change Vcs-Browser to cgit.
  * Migrate to debhelper 10:
    - Change debian/compat to 10.
    - Bump minimum debhelper version in debian/control to >= 10.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).

  [ Bernhard Schmidt ]
  * properly remove obsolete /etc/tmpfiles.d/openvpn.conf using
    dpkg-maintscript-helper (Closes: #865717)
  * Change Vcs-Git and Homepage to https

 -- Bernhard Schmidt <berni@debian.org>  Thu, 29 Jun 2017 12:41:31 +0200

openvpn (2.4.3-2) unstable; urgency=medium

  * The "Bye bye OpenVPN" revenge release
  * Put upstream tmpfiles conf in the right place and merge with Debian's.
    (Closes: #865589)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 23 Jun 2017 11:43:50 +0200

openvpn (2.4.3-1) unstable; urgency=high

  * The "Bye bye OpenVPN" release.
  * New upstream release fixing: (Closes: #865480)
    - CVE-2017-7508
    - CVE-2017-7520
    - CVE-2017-7521
    - CVE-2017-7522
  * Plugin libs have been moved to /usr/lib/ARCH/openvpn/plugins
  * debian/rules: 
    - Remove obsolete options to configure script (enable-password-save,
      with-plugindir (now in ENV_VARS))
    - No need to install upstream's systemd unit files from debian/rules

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 22 Jun 2017 13:25:45 +0200
