=== debian/control ===
Source: openvpn
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bernhard Schmidt <berni@debian.org>
Uploaders: Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 debhelper (>= 10),
 dh-systemd (>= 1.5),
 dpkg-dev (>= 1.16.1),
 iproute2 [linux-any],
 liblz4-dev,
 liblzo2-dev,
 libpam0g-dev,
 libpkcs11-helper1-dev,
 libssl1.0-dev,
 libsystemd-dev [linux-any],
 net-tools [!linux-any],
 pkg-config,
 systemd [linux-any]
Standards-Version: 4.0.0
Homepage: https://openvpn.net/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/openvpn.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/openvpn.git

Package: openvpn
Architecture: any
Depends: 
 debconf | debconf-2.0,
 ${shlibs:Depends},
 ${misc:Depends},
 iproute2 [linux-any],
 net-tools [!linux-any],
 lsb-base (>= 3.0-6)
Suggests:
 openssl,
 resolvconf,
 easy-rsa
Description: virtual private network daemon
 OpenVPN is an application to securely tunnel IP networks over a
 single UDP or TCP port. It can be used to access remote sites, make
 secure point-to-point connections, enhance wireless security, etc.
 .
 OpenVPN uses all of the encryption, authentication, and certification
 features provided by the OpenSSL library (any cipher, key size, or
 HMAC digest).
 .
 OpenVPN may use static, pre-shared keys or TLS-based dynamic key exchange. It
 also supports VPNs with dynamic endpoints (DHCP or dial-up clients), tunnels
 over NAT or connection-oriented stateful firewalls (such as Linux's iptables).
