## openvpn 2.4.4

=== debian/changelog ===
openvpn (2.4.4-2ubuntu1) bionic; urgency=low

  * Sync with Debian. Remaining changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 10 Feb 2018 20:27:56 +0000

openvpn (2.4.4-2) unstable; urgency=medium

  * Build against OpenSSL 1.1.0 (Closes: #828447)
  * Bump Standards-Version to 4.1.2, no changes necessary

 -- Bernhard Schmidt <berni@debian.org>  Mon, 11 Dec 2017 00:22:11 +0100

openvpn (2.4.4-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Oct 2017 15:13:58 -0400

openvpn (2.4.4-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New Upstream release:
    - Fix bounds check in read_key() (CVE-2017-12166) (Closes: #877089).
  * Declare compliance with Debian Policy 4.1.1. (No changes needed).
  * Drop dh-systemd from both Build-Depends and dh command line as
    it is enabled by default for dh compat level 10.
  * New debian/openvpn.lintian-overrides:
    - Override duplicate upstream changelog warning.
  * Remote obsolete directory /usr/lib/openvpn (The plugins directory are now
      /usr/lib/*/openvpn/plugins):
    - Remove /usr/lib/openvpn from debian/dirs.
    - Add debian/postrm to remove /usr/lib/openvpn on purge and remove.
    - Rewrite plugin section at README.Debian
  * Use pathfind() instead hard coded path for invoke-rc.d at debian/prerm
    and debian/postinst.
  * Remove outdated debian/README.source.
  * Remove obsolete syslog.target from debian/openvpn@.service.
  * Update Catalan translation (Closes: #870351).
    - Thanks to Alytidae <alytidae@riseup.net>.
  * New directory /var/log/openvpn for log and status files
      (Closes: #444431, #553303):
    - Add var/log/openvpn into debian/dirs.
    - New debian/patches/move_log_dir.patch to change the conf files
      to the new log directory.

  [ Bernhard Schmidt ]
  * Further changes to debian/openvpn@.service copied from upstream
    - Enable Restart=on-failure
    - Use KillMode=process

 -- Bernhard Schmidt <berni@debian.org>  Wed, 25 Oct 2017 08:14:12 +0200
