=== debian/control ===
--- 
+++ 
@@ -6,19 +6,18 @@
 Uploaders: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends:
  debhelper (>= 10),
- dh-systemd (>= 1.5),
  dpkg-dev (>= 1.16.1),
  iproute2 [linux-any],
  liblz4-dev,
  liblzo2-dev,
  libpam0g-dev,
  libpkcs11-helper1-dev,
- libssl1.0-dev,
+ libssl-dev,
  libsystemd-dev [linux-any],
  net-tools [!linux-any],
  pkg-config,
  systemd [linux-any]
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://openvpn.net/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/openvpn.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/openvpn.git
@@ -34,8 +33,8 @@
  lsb-base (>= 3.0-6)
 Suggests:
  openssl,
- resolvconf,
- easy-rsa
+ easy-rsa,
+ resolvconf
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a
  single UDP or TCP port. It can be used to access remote sites, make
