=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Bernhard Schmidt <berni@debian.org>
 Uploaders: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dpkg-dev (>= 1.16.1),
  iproute2 [linux-any],
  liblz4-dev,
@@ -17,14 +17,14 @@
  net-tools [!linux-any],
  pkg-config,
  systemd [linux-any]
-Standards-Version: 4.1.2
+Standards-Version: 4.1.5
 Homepage: https://openvpn.net/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/openvpn.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/openvpn.git
+Vcs-Git: https://salsa.debian.org/debian/openvpn.git
+Vcs-Browser: https://salsa.debian.org/debian/openvpn
 
 Package: openvpn
 Architecture: any
-Depends: 
+Depends:
  debconf | debconf-2.0,
  ${shlibs:Depends},
  ${misc:Depends},
@@ -47,4 +47,3 @@
  OpenVPN may use static, pre-shared keys or TLS-based dynamic key exchange. It
  also supports VPNs with dynamic endpoints (DHCP or dial-up clients), tunnels
  over NAT or connection-oriented stateful firewalls (such as Linux's iptables).
-
