## openvpn 2.4.7

=== debian/changelog ===
openvpn (2.4.7-1+deb10u2) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Security Team.

  [ Carlos Henrique Lima Melara ]
  * Enable unit tests.
      - debian/control: add libcmocka-dev as build-dep.
      - debian/rules: give a little push so the unit tests' Makefile has the
        correct subdirs declared (i.e. uncomment the variable).
  * Generate sample certificates before testing.
      - debian/control: add openssl as a build dependency.
      - debian/rules: run the script to generate the certificates before
        executing dh_auto_test.
  * debian/gbp.conf: add file with minimal settings and debian/buster default.
  * debian/patches/:
      - CVE-2022-0547.patch: import and backport patch to fix vulnerability.
          + CVE-2022-0547: Potential authentication by-pass with multiple
            deferred authentication plug-ins.
      - CVE-2024-5594-1.patch: import and backport patch to fix vulnerability.
          + CVE-2024-5594: control channel: refuse control channel messages
            with nonprintable characters in them.
      - CVE-2024-5594-2.patch: import and backport patch to fix a regression
        introduced in CVE-2024-5594-1.patch.
          + Allow trailing \r and \n in control channel message.
      - add-mock_msg-header-file.patch: add new patch so unit tests work.
        Upstream forgot to include this header file in the tarball.
  * debian/salsa-ci.yml: add (E)LTS pipeline for buster.
  * debian/tests: backport DEP-8 unit tests from bullseye.

  [ Aquila Macedo ]
  * debian/salsa-ci: disable gbp setup-gitattributes.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Tue, 02 Sep 2025 23:04:55 -0300

openvpn (2.4.7-1+deb10u1) buster; urgency=medium

  * Cherry-Pick upstream patches for CVE-2020-11810 and CVE-2020-15078
    (Closes: #987380)
  * Cherry-Pick upstream fix to increase TCP socket backlog (Closes: #968942)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 28 Apr 2021 16:48:07 +0200

openvpn (2.4.7-1) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * New upstream version 2.4.7
    - improvements regarding TLSv1.3
    - Add CAP_AUDIT_WRITE for auth_pam for upstream units (Closes: #868806)
  * adjust kfreebsd_support.patch for new upstream version
  * Also Add CAP_AUDIT_WRITE for auth_pam for openvpn@.service (Closes: #868806)
  * openvpn@.service: Bump LimitNPROC to 100, see #861923

  [ Simon Deziel ]
  * d/control: suggests openvpn-systemd-resolved (Closes: #913265)

  [ Hilko Bengen ]
  * Avoid hangs when spawning child processes by not setting pkcs11-helper
    "safe fork mode" (Closes: #772812, #900805, #907452)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 20 Feb 2019 14:50:03 +0100
