=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: openvpn
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernhard Schmidt <berni@debian.org>
-Uploaders: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Bernhard Schmidt <berni@debian.org>
+Uploaders: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper (>= 11),
  dpkg-dev (>= 1.16.1),
@@ -14,7 +13,9 @@
  libpkcs11-helper1-dev,
  libssl-dev,
  libsystemd-dev [linux-any],
+ libcmocka-dev <!nocheck>,
  net-tools [!linux-any],
+ openssl <!nocheck>,
  pkg-config,
  systemd [linux-any]
 Standards-Version: 4.1.5
@@ -33,8 +34,9 @@
  lsb-base (>= 3.0-6)
 Suggests:
  openssl,
- easy-rsa,
- resolvconf
+ resolvconf,
+ openvpn-systemd-resolved
+Recommends: easy-rsa
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a
  single UDP or TCP port. It can be used to access remote sites, make
