=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
 # Avoid the /sbin/route wrapper which doesn't provide FreeBSD CLI as expected
 ENV_VARS	:= IFCONFIG=/sbin/ifconfig ROUTE=/lib/freebsd/route
-EXTRA_ARGS	:= 
+EXTRA_ARGS	:=
 else
 ENV_VARS	:= SYSTEMD_ASK_PASSWORD=/bin/systemd-ask-password IFCONFIG=/sbin/ifconfig ROUTE=/sbin/route IPROUTE=/sbin/ip SYSTEMD_UNIT_DIR=/lib/systemd/system TMPFILES_DIR=/usr/lib/tmpfiles.d
 EXTRA_ARGS	:= --enable-systemd --enable-iproute2
@@ -18,6 +18,7 @@
 override_dh_auto_configure:
 	-test -f tests/t_client.sh.not || mv tests/t_client.sh tests/t_client.sh.not
 	$(ENV_VARS) dh_auto_configure -- $(shell dpkg-buildflags --export=configure) --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --includedir=\$${prefix}/include/openvpn --enable-pkcs11 --enable-x509-alt-username $(EXTRA_ARGS)
+	sed -i -e 's/^#SUBDIRS/SUBDIRS/' tests/unit_tests/Makefile
 
 
 override_dh_auto_build:
@@ -28,8 +29,14 @@
 	# $(MAKE) -C plugin/auth-pam/ $(shell dpkg-buildflags --export=configure)
 	# $(MAKE) -C plugin/down-root/ $(shell dpkg-buildflags --export=configure)
 
-# we may not want to run dh_auto_test
-#override_dh_auto_test:
+# We need to refresh the test certificates because they've expired already and
+# the tests fail resulting in a FTBFS
+override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
+	cd sample/sample-keys && ./gen-sample-keys.sh
+	dh_auto_test
+endif
+
 
 override_dh_auto_clean:
 	# These two get deleted on "make clean", but come in the tarball
@@ -52,7 +59,7 @@
 	install -m 755 debian/openvpn.if-up.d $(CURDIR)/debian/openvpn/etc/network/if-up.d/openvpn
 	install -m 755 debian/openvpn.if-down.d $(CURDIR)/debian/openvpn/etc/network/if-down.d/openvpn
 	# remove unwanted plugin files
-	rm -f $(CURDIR)/debian/openvpn/usr/lib/$(DEB_HOST_GNU_TYPE)/openvpn/plugins/*.la
+	$(RM) $(CURDIR)/debian/openvpn/usr/lib/$(DEB_HOST_GNU_TYPE)/openvpn/plugins/*.la
 	# resolvconf script
 	install -m 755 debian/update-resolv-conf $(CURDIR)/debian/openvpn/etc/openvpn/update-resolv-conf
 	# bash completion
@@ -61,14 +68,15 @@
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	cat debian/openvpn.conf >> $(CURDIR)/debian/openvpn/usr/lib/tmpfiles.d/openvpn.conf
 endif
+	$(RM) $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/COPYING
 
 override_dh_installexamples:
 	dh_installexamples
 	## remove windoze stuff
-	rm -rf $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/Windows
-	rm -rf $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/sample
+	$(RM) -r $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/Windows
+	$(RM) -r $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/sample
 	# remove gitignore file from samples
-	rm -f $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/sample-keys/.gitignore
+	$(RM) $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/sample-keys/.gitignore
 
 override_dh_installinit:
 	dh_installinit --no-start -- defaults 16 80
@@ -76,6 +84,5 @@
 override_dh_compress:
 	dh_compress --exclude=.cnf --exclude=pkitool
 
-override_dh_systemd_start:
-	dh_systemd_start --restart-after-upgrade
-
+override_dh_installsystemd:
+	dh_installsystemd --restart-after-upgrade
