=== debian/tests/control ===
Tests: unit-tests
Depends: libcmocka-dev, @builddeps@
Restrictions: allow-stderr
