## openvpn 2.4.7.1

=== debian/changelog ===
openvpn (2.4.7.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 44fc71ad86417b3349bd9d2abdacf8c61ffd0a40']

 -- shuttle <shuttle@deepin.com>  Tue, 01 Sep 2020 20:16:03 +0000
