=== debian/control ===
--- 
+++ 
@@ -13,9 +13,7 @@
  libpkcs11-helper1-dev,
  libssl-dev,
  libsystemd-dev [linux-any],
- libcmocka-dev <!nocheck>,
  net-tools [!linux-any],
- openssl <!nocheck>,
  pkg-config,
  systemd [linux-any]
 Standards-Version: 4.1.5
