## openvpn 2.4.7.3

=== debian/changelog ===
openvpn (2.4.7.3-1+dde) unstable; urgency=medium

  * fix CVE-2022-0547

 -- wangyouwan <wangyouwan@uniontech.com>  Wed, 23 Mar 2022 17:43:29 +0800

openvpn (2.4.7.2-1+deb10u1) buster; urgency=medium

  * Cherry-Pick upstream patches for CVE-2020-11810 and CVE-2020-15078
    (Closes: #987380)
  * Cherry-Pick upstream fix to increase TCP socket backlog (Closes: #968942)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 28 Apr 2021 16:48:07 +0200
