=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 override_dh_auto_configure:
 	-test -f tests/t_client.sh.not || mv tests/t_client.sh tests/t_client.sh.not
 	$(ENV_VARS) dh_auto_configure -- $(shell dpkg-buildflags --export=configure) --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --includedir=\$${prefix}/include/openvpn --enable-pkcs11 --enable-x509-alt-username $(EXTRA_ARGS)
-	sed -i -e 's/^#SUBDIRS/SUBDIRS/' tests/unit_tests/Makefile
 
 
 override_dh_auto_build:
@@ -29,14 +28,8 @@
 	# $(MAKE) -C plugin/auth-pam/ $(shell dpkg-buildflags --export=configure)
 	# $(MAKE) -C plugin/down-root/ $(shell dpkg-buildflags --export=configure)
 
-# We need to refresh the test certificates because they've expired already and
-# the tests fail resulting in a FTBFS
-override_dh_auto_test:
-ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
-	cd sample/sample-keys && ./gen-sample-keys.sh
-	dh_auto_test
-endif
-
+# we may not want to run dh_auto_test
+#override_dh_auto_test:
 
 override_dh_auto_clean:
 	# These two get deleted on "make clean", but come in the tarball
@@ -70,6 +63,11 @@
 endif
 	$(RM) $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/COPYING
 
+override_dh_link:
+	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/openvpn/plugins/openvpn-plugin-auth-pam.so  usr/lib/openvpn/openvpn-plugin-auth-pam.so
+	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/openvpn/plugins/openvpn-plugin-down-root.so usr/lib/openvpn/openvpn-plugin-down-root.so
+	dh_link
+
 override_dh_installexamples:
 	dh_installexamples
 	## remove windoze stuff
@@ -85,4 +83,4 @@
 	dh_compress --exclude=.cnf --exclude=pkitool
 
 override_dh_installsystemd:
-	dh_installsystemd --restart-after-upgrade
+	dh_installsystemd --no-restart-after-upgrade -r
