=== debian/rules ===
--- 
+++ 
@@ -63,11 +63,6 @@
 endif
 	$(RM) $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/COPYING
 
-override_dh_link:
-	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/openvpn/plugins/openvpn-plugin-auth-pam.so  usr/lib/openvpn/openvpn-plugin-auth-pam.so
-	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/openvpn/plugins/openvpn-plugin-down-root.so usr/lib/openvpn/openvpn-plugin-down-root.so
-	dh_link
-
 override_dh_installexamples:
 	dh_installexamples
 	## remove windoze stuff
@@ -83,4 +78,4 @@
 	dh_compress --exclude=.cnf --exclude=pkitool
 
 override_dh_installsystemd:
-	dh_installsystemd --no-restart-after-upgrade -r
+	dh_installsystemd --restart-after-upgrade
